### Name: iterateBMAsurv.train.wrapper
### Title: Iterative Bayesian Model Averaging: training
### Aliases: iterateBMAsurv.train.wrapper
### Keywords: multivariate survival

### ** Examples

library (BMA)
library(iterativeBMAsurv)
data(trainData)
data(trainSurv)
data(trainCens)

## Training data should be pre-sorted before beginning

## Run iterative bic.surv, using nbest=5 for fast computation
ret.list <- iterateBMAsurv.train.wrapper (x=trainData, surv.time=trainSurv, cens.vec=trainCens, nbest=5)

## Extract the this-is-escaped-code{ object
ret.bma <- ret.list$obj

## Extract the names of the genes from the last iteration of 'bic.surv'
gene.names <- ret.list$curr.names




